explain_chown_or_die(3)

NAME
explain_chown_or_die - change ownership of a file and report errors

SYNOPSIS
#include <libexplain/chown.h>

void explain_chown_or_die(const char *pathname, int owner, int group);

DESCRIPTION
The explain_chown_or_die function is used to call the chown(2) system call. On failure an explanation will be printed to stderr, obtained from explain_chown(3), and then the process terminates by calling exit(EXIT_FAILURE).

This function is intended to be used in a fashion similar to the following example:
    explain_chown_or_die(pathname, owner, group);

pathname
    The pathname, exactly as to be passed to the chown(2) system call.

owner
    The owner, exactly as to be passed to the chown(2) system call.

group
    The group, exactly as to be passed to the chown(2) system call.

Returns:
    This function only returns on success. On failure, prints an explanation and exits.

SEE ALSO

chown(2)
    change ownership of a file

explain_chown(3)
    explain chown(2) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version
Copyright (C) 2008 Peter Miller